Subject: RE: bug#36444: [PATCH] Improved regexp-opt KEEP-ORDER check

From: Drew Adams <[email-masked]>
Date: Thu, 4 Jul 2019 09:01:39 -0700 (PDT)

FWIW:

+1 for idiom `catch-throw' + `dolist' - clear to all Lispers.
-1 for `cl-loop' here (unlispy language).
 0 for `while' loop, `and' exit, and `setq' cdring (obfuscates a bit).